from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session
from app.db.database import get_db

router = APIRouter(
    prefix="/health",
    tags=["health"]
)

@router.get("/")
def health_check(db: Session = Depends(get_db)):
    # Check if database connection is working by executing a simple query
    try:
        db.execute("SELECT 1")
        db_status = "healthy"
    except Exception:
        db_status = "unhealthy"
    
    return {
        "status": "ok",
        "database": db_status,
        "api_version": "0.1.0"
    }